| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Properties | Static Private Attributes | List of all members
IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech Class Reference
Inheritance diagram for IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech:
[legend]
Collaboration diagram for IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech:
[legend]

## Public Member Functions
| ReporterConsoleMsgboxSpeech ()
| Constructor. Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null. More...
| ReporterConsoleMsgboxSpeech (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate, ReserveReportErrorDelegate reservereportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified are set to default values. More...
| ReporterConsoleMsgboxSpeech (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values. More...
| ReporterConsoleMsgboxSpeech (object obj, ReportDelegate reportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems. More...
| ReporterConsoleMsgboxSpeech (object obj, ReportDelegate reportdelegate, ReserveReportErrorDelegate reservereportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems. More...
Public Member Functions inherited from IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech_Base
override void | Report (ReportType messagetype, string location, string message, Exception ex)
| Basic reporting method (overloaded). Launches an error report, a warning report or other kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation flags) are obtained from the class' instance. More...

## Protected Member Functions
override void | InitBegin ()
| Initial part of initialization. Auxiliary object is not affected because default delegates do not utilize it. More...
override void | InitEnd ()
| Finalizing part of initialization. Auxiliary object is not affected because default delegates do not utilize it. More...
Protected Member Functions inherited from IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech_Base
override void | ReadAppSettingsBasic (string groupname)
| Reads settings for a specified named group of reporters from the application configuration file. More...
virtual void | Report_Speech (ReportType messagetype, string location, string message, Exception ex)
| Launches a report via speech. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function. More...

## Properties
static new bool | GlobalInitialized`[get]`
static new ReporterConsoleMsgboxSpeech | Global`[get, private set]`
| Gets the global reporter object. This is typically used for configuring the global reporter. More...
Properties inherited from IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech_Base
virtual bool | UseSpeech`[get, set]`
| Gets or sets the flag specifying whether reporting using a message box is performed or not. More...
virtual ReportLevel | SpeechLevelSignal`[get, set]`
| Gets or sets the reporting level for speaking out signals (such as "Warning", "Error", "Information", etc.) More...
virtual ReportLevel | SpeechLevelMessage`[get, set]`
| Gets or sets the reporting level for speaking out message text. More...
static object | VoiceLock`[get]`
static SpVoice | Voice`[get, set]`

## Static Private Attributes
static ReporterConsoleMsgboxSpeech | _Global = null
static bool | _GlobalInitialized = false
static object | GlobalLock = new object()

## Additional Inherited Members
Static Public Member Functions inherited from IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech_Base
static void | Articulate (string text, bool only_one)
| Speaks out a specified text. The caller can specify that articulation of only one text can be requested simultaneously. More...
static void | Articulate (string text)
| Speeks a specified text. If functino is called from multiple threads simultaneously then calls are serialized. More...
Public Attributes inherited from IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech_Base
ReportDelegate | ReportDlgSpeech = new ReportDelegate(DefaultReport_Speech)
| Delegate that performs error reporting via speech. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way. More...
ReportLocationDelegate | ReportLocationDlgSpeech = new ReportLocationDelegate(DefaultReportLocation_Speech)
| Delegate that assembles the error location string for reporting via speech. More...
ReportMessageDelegate | ReportMessageDlgSpeech = new ReportMessageDelegate(DefaultReportMessage_Speech)
| Delegate that assembles the eror message string for reporting via speech. More...
Static Protected Member Functions inherited from IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech_Base
static void | DefaultReport_Speech (Reporter reporter, ReportType messagetype, string location, string message)
| Delegat for launching a report via speech. More...
static string | DefaultReportLocation_Speech (Reporter reporter, ReportType messagetype, string location, Exception ex)
| Delegate for assembling a location string for this kind of report. More...
static string | DefaultReportMessage_Speech (Reporter reporter, ReportType messagetype, string basicmessage, Exception ex)
| Delegate for assembling a report message for this kind of report. More...
Protected Attributes inherited from IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech_Base
const string | KeyUseSpeech = "UseSpeech"

## Constructor & Destructor Documentation

IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech.ReporterConsoleMsgboxSpeech | ( |  | ) |
| inline

Constructor. Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null.

IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech.ReporterConsoleMsgboxSpeech | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  |
| inline

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified are set to default values.

Parameters

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  locationdelegate | Delegate that is called to assemble the error location string. The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  messagedelegate | Delegate that is called to assemble the error message (without decorations). The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech.ReporterConsoleMsgboxSpeech | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate
| ) |  |
| inline

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values.

IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech.ReporterConsoleMsgboxSpeech | ( | object | obj,
|  | ReportDelegate | reportdelegate
| ) |  |
| inline

Constructor. Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems.

IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech.ReporterConsoleMsgboxSpeech | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  |
| inline

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems.

Parameters

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

## Member Function Documentation

override void IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech.InitBegin | ( |  | ) |
| inline protected

Initial part of initialization. Auxiliary object is not affected because default delegates do not utilize it.

override void IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech.InitEnd | ( |  | ) |
| inline protected

Finalizing part of initialization. Auxiliary object is not affected because default delegates do not utilize it.

## Member Data Documentation

ReporterConsoleMsgboxSpeech IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech._Global = null
| static private

bool IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech._GlobalInitialized = false
| static private

object IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech.GlobalLock = new object()
| static private

## Property Documentation

new bool IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech.GlobalInitialized
| static get

new ReporterConsoleMsgboxSpeech IG.ReporterMsgForms.ReporterConsoleMsgboxSpeech.Global
| static get private set

Gets the global reporter object. This is typically used for configuring the global reporter.

Referenced by IG.ReporterMsgForms.ReporterConfSpeech.SetReporter().

The documentation for this class was generated from the following file:

- reportermsg/Additional/copy/ReporterMsg_Speech/ReporterMsg_Speech.cs